> For the complete documentation index, see [llms.txt](https://developer.ivvy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.ivvy.com/crm/get-lead-channel-list.md).

# Get Lead Channel List

## Get Lead Channel List

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/crm?action=getLeadChannelList`

Get a list of lead channels.

{% tabs %}
{% tab title="200 " %}

```
{
    "meta": {
        "totalResults": 1,
        "start": 0,
        "perPage": 10,
        "count": 4
    },
    "results": [
        {
            "id": 1,
            "name": "iVvy Marketplace"
        },
        {
            "id": 2,
            "name": "Website Booking Engine"
        },
        {
            "id": 3,
            "name": "Third Party Booking Engines"
        },
        {
            "id": 4,
            "name": "Magazine Ad"
        },
    ]
}
```

{% endtab %}
{% endtabs %}

The result from this call will be a [collection](/getting-started/interpreting-the-response/collections.md) of all the lead channels the user has access to. This call also accepts the [pagination](/getting-started/interpreting-the-response/pagination.md) and [filter](/getting-started/interpreting-the-response/filtering.md) properties.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/crm/get-lead-channel-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
